Bug 822903 - Missing /run/asterisk directory after fresh install
Missing /run/asterisk directory after fresh install
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: asterisk (Show other bugs)
17
Unspecified Linux
unspecified Severity low
: ---
: ---
Assigned To: Jeffrey C. Ollie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-18 09:15 EDT by Jānis Rukšāns
Modified: 2013-07-31 21:07 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 21:07:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jānis Rukšāns 2012-05-18 09:15:30 EDT
Description of problem:
Starting asterisk right after a fresh install gives errors about missing /run/asterisk:
May 17 21:02:00 dway asterisk[9292]: Unable to create socket file directory.  Remote consoles will not be able to connect! (Interrupted system call)
May 17 21:02:00 dway asterisk[9292]: Unable to open pid file '/run/asterisk/asterisk.pid': No such file or directory
May 17 21:02:00 dway asterisk[9292]: Unable to bind socket to /run/asterisk/asterisk.ctl: No such file or directory

Version-Release number of selected component (if applicable):
asterisk-10.3.1-1.fc17.x86_64

Steps to Reproduce:
1. Install asterisk on a fresh system
2. systemctl start asterisk.service
3. Watch it fail

Additional info:
It seems that runtime directories need to be created during the installation even in the presence of tmpfiles.d [1]

[1] https://fedoraproject.org/wiki/Packaging:Tmpfiles.d#Example_spec_file

Workaround:
Run systemd-tmpfiles --create /usr/lib/tmpfiles.d/asterisk.conf after installation.
Comment 1 Fedora End Of Life 2013-07-03 18:54:50 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2013-07-31 21:07:40 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.